Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Class ParticipantPageDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.compare.internal.ResizableDialog
                  org.eclipse.team.ui.SaveablePartDialog
                      org.eclipse.team.ui.synchronize.ParticipantPageDialog

public class ParticipantPageDialog
extends SaveablePartDialog

A dialog that displays the option of adding the participant to the `ISynchronizeManager` when the dialog is closed. This can be useful for showing changes for a participant modally and allowing the user to decide if the participant shown should be made available non-modally.

Since:
  3.0
See Also:
  `SaveablePartAdapter`, `ISynchronizeParticipant`

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.compare.internal.ResizableDialog
`fBundle`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ParticipantPageDialog(Shell shell, SaveablePartAdapter input, ISynchronizeParticipant participant)` Creates a dialog with the given title and input.

Method Summary
`protected void` | `buttonPressed(int buttonId)` Notifies that this dialog's button with the given id has been pressed.
`protected Control` | `createDialogArea(Composite parent2)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected ISynchronizeParticipant` | `getParticipant()` Returns the participant showing in this dialog.

Methods inherited from class org.eclipse.team.ui.SaveablePartDialog
`close, createButtonsForButtonBar`

Methods inherited from class org.eclipse.compare.internal.ResizableDialog
`configureShell, getInitialLocation, getInitialSize, setHelpContextId`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantPageDialog

    public ParticipantPageDialog(Shell shell,
                                 SaveablePartAdapter input,
                                 ISynchronizeParticipant participant)

  Creates a dialog with the given title and input. The input is not created until the dialog is opened.

Parameters:
  `shell` - the parent shell or `null` to create a top level shell.
  `input` - the compare input to show in the dialog

Method Detail

### createDialogArea

    protected Control createDialogArea(Composite parent2)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `SaveablePartDialog`

### buttonPressed

    protected void buttonPressed(int buttonId)

  Description copied from class: `Dialog`
  Notifies that this dialog's button with the given id has been pressed.

  The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

  Overrides:
    `buttonPressed` in class `Dialog`
  Parameters:
    `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

### getParticipant

    protected ISynchronizeParticipant getParticipant()

  Returns the participant showing in this dialog.

  Returns:
    the participant showing in this dialog.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.